/*******************************************************************************
*     This file is owned and controlled by Xilinx and must be used             *
*     solely for design, simulation, implementation and creation of            *
*     design files limited to Xilinx devices or technologies. Use              *
*     with non-Xilinx devices or technologies is expressly prohibited          *
*     and immediately terminates your license.                                 *
*                                                                              *
*     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"            *
*     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR                  *
*     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION          *
*     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION              *
*     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS                *
*     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,                  *
*     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE         *
*     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY                 *
*     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE                  *
*     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR           *
*     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF          *
*     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS          *
*     FOR A PARTICULAR PURPOSE.                                                *
*                                                                              *
*     Xilinx products are not intended for use in life support                 *
*     appliances, devices, or systems. Use in such applications are            *
*     expressly prohibited.                                                    *
*                                                                              *
*     (c) Copyright 1995-2003 Xilinx, Inc.                                     *
*     All rights reserved.                                                     *
*******************************************************************************/
// The synopsys directives "translate_off/translate_on" specified
// below are supported by XST, FPGA Compiler II, Mentor Graphics and Synplicity
// synthesis tools. Ensure they are correct for your synthesis tool(s).

// You must compile the wrapper file error_subtractor.v when simulating
// the core, error_subtractor. When compiling the wrapper file, be sure to
// reference the XilinxCoreLib Verilog simulation library. For detailed
// instructions, please refer to the "CORE Generator Guide".

module error_subtractor (
	A,
	B,
	Q,
	CLK);    // synthesis black_box

input [7 : 0] A;
input [7 : 0] B;
output [7 : 0] Q;
input CLK;

// synopsys translate_off

	C_ADDSUB_V6_0 #(
		1,	// c_add_mode
		"0000",	// c_ainit_val
		0,	// c_a_type
		8,	// c_a_width
		0,	// c_bypass_enable
		0,	// c_bypass_low
		0,	// c_b_constant
		0,	// c_b_type
		"0",	// c_b_value
		8,	// c_b_width
		1,	// c_enable_rlocs
		0,	// c_has_aclr
		0,	// c_has_add
		0,	// c_has_ainit
		0,	// c_has_aset
		0,	// c_has_a_signed
		0,	// c_has_bypass
		0,	// c_has_bypass_with_cin
		0,	// c_has_b_in
		0,	// c_has_b_out
		0,	// c_has_b_signed
		0,	// c_has_ce
		0,	// c_has_c_in
		0,	// c_has_c_out
		0,	// c_has_ovfl
		1,	// c_has_q
		0,	// c_has_q_b_out
		0,	// c_has_q_c_out
		0,	// c_has_q_ovfl
		0,	// c_has_s
		0,	// c_has_sclr
		0,	// c_has_sinit
		0,	// c_has_sset
		7,	// c_high_bit
		1,	// c_latency
		0,	// c_low_bit
		8,	// c_out_width
		1,	// c_pipe_stages
		"0",	// c_sinit_val
		0,	// c_sync_enable
		1)	// c_sync_priority
	inst (
		.A(A),
		.B(B),
		.Q(Q),
		.CLK(CLK),
		.ACLR(),
		.ADD(),
		.AINIT(),
		.ASET(),
		.A_SIGNED(),
		.B_OUT(),
		.C_IN(),
		.B_SIGNED(),
		.C_OUT(),
		.B_IN(),
		.BYPASS(),
		.CE(),
		.OVFL(),
		.Q_C_OUT(),
		.Q_B_OUT(),
		.Q_OVFL(),
		.S(),
		.SCLR(),
		.SINIT(),
		.SSET());


// synopsys translate_on

// FPGA Express black box declaration
// synopsys attribute fpga_dont_touch "true"
// synthesis attribute fpga_dont_touch of error_subtractor is "true"

// XST black box declaration
// box_type "black_box"
// synthesis attribute box_type of error_subtractor is "black_box"

endmodule

